aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-agl-lava-jobs-submit-only.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/common/include-agl-lava-jobs-submit-only.sh')
-rw-r--r--jjb/common/include-agl-lava-jobs-submit-only.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/jjb/common/include-agl-lava-jobs-submit-only.sh b/jjb/common/include-agl-lava-jobs-submit-only.sh
new file mode 100644
index 00000000..a8354390
--- /dev/null
+++ b/jjb/common/include-agl-lava-jobs-submit-only.sh
@@ -0,0 +1,26 @@
+# (c) 2017 Kevin Hilman <khilman@baylibre.com>
+# License GPLv2
+#
+# Submit LAVA YAML job file (default testjob.yaml) to first available LAVA lab
+# with matching device-type
+#
+JOB_FILE=${1:-testjob.yaml}
+
+if [ ! -e $JOB_FILE ]; then
+ echo "ERROR: LAVA job file $JOB_FILE not present."
+ exit 1
+fi
+JOB_BASE=$(basename $JOB_FILE .yaml)
+
+# Need to hack the LAVA device-type name in the job file
+JOB_FILE_NEW="${JOB_BASE}_${LAVA_LAB}.yaml"
+cat $JOB_FILE | sed "s/device_type: $releng_device$/device_type: $lava_device/" > $JOB_FILE_NEW
+
+#
+# LAVA job submit, get job ID from lava-tool output
+#
+JOB_STATUS="${JOB_BASE}_${LAVA_LAB}.status"
+lava-tool submit-job --block $full_url $JOB_FILE_NEW |tee $JOB_STATUS
+# Printing the job URL in the log
+grep "submitted as job:" $JOB_STATUS
+